# TA1: Eisenzeitalter

In TA1 geht es darum, mit einfachen Werkzeugen und Gerätschaften ausreichend Erze zu schürfen und Holzkohle herzustellen, so dass damit TA2 Maschinen hergestellt und betrieben werden können.

Natürlich muss es für ein Eisenzeitalter auch Eisen geben und nicht nur Stahl (steel), wie in "Minetest Game". Daher wurden einige Rezepte geändert, so dass zuerst Eisen hergestellt werden muss und erst später dann Stahl.

Auch ist die Haltbarkeit der Werkzeuge an die Zeitalter angelehnt und entspricht damit nicht dem Minetest Originalspiel.
Die Haltbarkeit/Härte bspw. für eine Axt ist:

* Bronze: 20
* Stahl: 30

[techage_ta1|image]


## Köhler / Coal Pile

Den Köhler brauchst du, um Holzkohle herzustellen. Holzkohle wird für den Brenner, aber auch bspw. in TA2 für die Dampfmaschine benötigt.

Für den Köhler brauchst du:

- einen Anzünderblock (`techage:lighter`)
- 26 Hölzblöcke (wood), die zu einem Würfen aufgeschichtet werden. Die Holzsorte spielt keine Rolle.
- Erde (dirt) um den Holzhaufen abzudecken.
- Feuerstein und Eisen (technischer Name: `fire:flint_and_steel`) um den Anzünderblock anzuzünden.



Bauanleitung (siehe auch Plan):

- Baue eine 5x5 große Fläche aus Erde (dirt)
- Platziere in die Mitte einen Anzünder (lighter)
- Platziere rund um den Anzünder 7 Holz (wood), aber lasse ein Loch zum Anzünder frei
- Baue weitere 2 Schichten Holz darüber, so dass ein 3x3x3 großer Holzwürfel entsteht
- Überdecke alles mit einer Schicht Erde zu einem 5x5x5 großen Würfel, aber lasse das Loch zum Anzünder frei
- Entzünde den Anzünder und verschließe das Loch sofort mit jeweils einem Block Holz und Erde
- Wenn du alles richtig gemacht hast, fängt der Köhler nach wenigen Sekunden an zu rauchen
- Öffne den Köhler erst, wenn der Rauch verschwunden ist (ca. 20 min)

Dann kannst du die 9 Holzkohleblöcke entnehmen und den Köhler erneut füllen.

[coalpile|plan]


## Kohlebrenner / Coal Burner

Den Kohlebrenner benötigst du bspw. um Eisen und andere Erze im Schmelztiegel zu schmelzen. Es gibt verschiedene Rezepte, welche verschiedene Temperaturen benötigen. Je höher der Turm, um so heißer ist die Flamme. Eine Höhe von 11 Blöcken über der Bodenplatte ist für alle Rezepte ausreichend, ein Brenner mit dieser Höhe verbraucht aber auch mehr Holzkohle.

Bauanleitung (siehe auch Plan):

* Baue einen Turm aus Stein (cobble) mit einer 3x3 Grundfläche (7-11 Blöcke hoch)
* Lasse unten ein Loch an einer Seite offen
* Lege einen Anzünder (lighter) hinein
* Fülle den Turm bis zum Rand mit Holzkohle, in dem du die Holzkohle von oben in das Loch fallen lässt
* Entzünde den Anzünder durch das Loch
* Platziere den Schmelztiegel oben auf dem Turm direkt in die Flamme, einen Block über dem Turmrand
* Um den Brenner anzuhalten, schließe das Loch vorübergehend bspw. mit einem Erdblock.

Der Schmelztiegel hat ein eigenes Menü mit Rezepten und ein Inventar, wo du die Erze hinein legst.

[coalburner|plan]



## Wassermühle

Mit der Wassermühle können Weizen und andere Getreide zu Mehl gemahlen und dann im Ofen zu Brot gebacken werden. Die Mühle wird mit
Wasserkraft angetrieben. Dazu muss ein Mühlbach über einen Kanal zum Mühlrad geführt werden.
Über eine Schleuse kann der Wasserfluss und damit das Mühlrad gesteuert werden.
Die Schleuse besteht aus Schleusenschieber und Schleusengriff.

Die Abbildung rechts (auf "Plan" klicken) zeigt den Aufbau der Wassermühle.

[watermill1|plan]

### TA1 Mühle

Mit der Wassermühle können Weizen und andere Getreide zu Mehl gemahlen und dann im Ofen zu Brot gebacken werden.
Die Mühle muss mit einer TA1 Achse mit dem Mühlrad verbunden werden. Die Kraft des Mühlrades reicht nur für eine Mühle.

Die Mühle kann mit Hilfe eines Minecart Hoppers automatisiert werden, so dass das Mehl bspw. direkt von der Mühle in einen Ofen befördert wird, um daraus Brot zu backen.

[watermill2|plan]

### TA1 Schleusenschieber / TA1 Sluice Gate

Der Schleusenschieber muss auf gleicher Höhe wie die Wasseroberfläche direkt an einen Teich oder in einen Bach gesetzt werden.
Wird die Schleuse geöffnet, so fließt Wasser durch den Schieber. Dieses Wasser muss dann zum Mühlrad geleitet werden und treibt dort die Mühle an.

[ta1_sluice|image]

### TA1 Schleusengriff / TA1 Sluice Handle

Der TA1 Schleusengriff  muss auf den Schleusenschieber gesetzt werden. Mit Hilfe des Schleusengriffs (Rechtsklick) kann der Schieber geöffnet werden.

[ta1_sluice_handle|image]

### TA1 Apfelholzbrett / TA1 Apple Wood Board

Block in verschiedenen Holzsorten zum Bauen des Mühlbachkanals. Es kann aber auch jedes andere Material verwendet werden.

[ta1_board1|image]

### TA1 Apfel Mühlbachbrett / TA1 Apple Millrace Board

Block in verschiedenen Holzsorten zum Bauen des Mühlbachkanals. Dieser Block eignet sich speziell in Verbindung mit den Pfosten des Holzzauns um eine Stütze für den Kanal zu bauen.

[ta1_board2|image]



## Erze und Werkzeuge

TA1 hat seine eigenen Werkzeuge wie Hammer und Kiessieb, aber auch der Minecart Hopper kann genutzt werden.

[ta1_gravelsieve|image]


### Hammer

Mit dem TA1 Hammer können Steine (stone) und Kopfsteinpflaster-Steine (cobble) zu Kies (gravel) zertrümmert werden. Der Hammer ist in verschiedenen Ausführungen und damit verschiedenen Eigenschaften verfügbar: Bronze, Stahl, Mese und Diamant.

[hammer|image]


### Kiessieb / Gravel Sieve

Mit dem Kiessieb können Erze aus dem Kies gesiebt werden. Dazu mit dem Kies (gravel) auf das Sieb klicken. Der gesiebte Kies und die Erze fallen unten heraus.

Um hier nicht stundenlang am Sieb zu stehen, kann das Sieben mit dem Trichter (hopper) automatisiert werden.

[ta1_gravelsieve|image]


### Trichter / Hopper

Der Hopper aus der Mod "Minecart" dient in erster Linie zum Be- und Entladen von Minecarts. Er saugt Gegenstände (items) von oben ein und gibt diese nach rechts weiter. Beim Platzieren des Trichters muss daher auf die Ausgaberichtung geachtet werden.

Der Trichter kann aber auch Items aus Kisten (chest) ziehen, sofern die Kiste neben oder auf dem Trichter steht. 

Der Trichter kann auch Items in Kisten legen, sofern die Kiste neben dem Trichter steht.

[ta1_hopper|image]


### Kies sieben mit dem Trichter

Mit Hilfe von zwei Kisten, zwei Trichtern und einem Kiessieb kann der Siebevorgang automatisiert werden. Der Plan rechts zeigt den Aufbau.

Bei den Kisten darauf achten, dass es die "chest_locked" ist, sonst klaut dir jemand die wertvollen Erze aus der Kiste unten.

[hoppersieve|plan]


### Meridium

TA1 hat seine eigene Metalllegierung Meridium. Meridium Ingots können mit dem Kohlebrenner aus Stahl und Mesesplittern hergestellt werden. Meridium leuchtet im Dunkeln. Auch Werkzeuge aus Meridium leuchten und sind daher im Untertagebau sehr hilfreich.

[meridium|image]